Summary:	Realtime Voice Changer for the Asterisk PBX
Name:		asterisk-app_voicechangedial
Version:	0.6
Release:	%mkrel 0.rc1.1
License:	GPL
Group:		System/Servers
URL:		http://www.lobstertech.com/voicechanger/
Source0:	http://www.lobstertech.com/code/voicechanger/releases/voicechanger-%{version}.tar.gz
BuildRequires:	asterisk >= 1.4.0
BuildRequires:	asterisk-devel >= 1.4.0
BuildRequires:	soundtouch-devel >= 1.3.1
BuildRequires:	soundtouch4c-devel >= 0.4
Requires:	asterisk
Provides:	asterisk-app_voicechanger = %{version}-%{release}
Obsoletes:	asterisk-app_voicechanger
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This program is a voice changer module for Asterisk. This allows you to change
the pitch of your voice, or the voice of the called party in realtime, when
making phone calls. If you are not familiar with Asterisk or Linux then you
might want to check out this page instead.

The application, VoiceChangeDial, functions as a Dial() replacement. Although
the behavior of this application seeks to mimic Dial(), it is not perfect due
to the fact that Asterisk does not properly abstract dial and bridging
functionality. 

%prep

%setup -q -n voicechanger-%{version}

%build

%make CFLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk
install -d %{buildroot}%{_sysconfdir}/asterisk

install -m0755 app_voicechangedial.so %{buildroot}%{_libdir}/asterisk/

cat > %{buildroot}%{_sysconfdir}/asterisk/app_voicechangedial.conf << EOF
exten => 666,1,Set(CALLERID(all)=${BULLY_FROM_HIGHSCHOOL})
exten => 666,2,VoiceChangeDial(SIP/BandwidthDotCom/${GEORGE_W_BUSH}|T(30)P(-5.0)D(8:9)H(*))
; ToDo: Say bad things
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/app_voicechangedial.conf
%attr(0755,root,root) %{_libdir}/asterisk/app_voicechangedial.so


%changelog
* Fri Aug 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-0.rc1.1mdv2008.0
+ Revision: 58531
- Import asterisk-app_voicechangedial



* Fri Aug 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-0.rc1.1mdv2008.0
- initial Mandriva package
